<template lang="pug">
  #app
    // img(src="./assets/logo.png")
    router-view
    v-loading(v-if="loading")
</template>

<script>
import { mapState, mapGetters, mapMutations } from 'vuex'
import 'reset-css'
import '@/style/_foundation.stylus'
import VLoading from '@/components/molecules/Loading'

export default {
  name: 'App',
  components: {
    VLoading
  },
  computed: {
    ...mapState(['loading']),
    ...mapState('Auth', ['role', 'isApproved', 'isAdminLoggedIn']),
    ...mapGetters('Auth', ['isSoftLoggedIn'])
  },
  created() {
    // it takes a little time to start app in case of heroku
    // Xhr.getWithoutToken('/ping')
  },
  data() {
    return {
      loginButtonClasses: ['navbar-item', 'is-primary', 'is-inverted', 'is-outlined']
    }
  },
  methods: {
    ...mapMutations(['updateLoading'])
    // push() {
    //   if (this.isLoggedIn) {
    //     // this.$ga.event('auth', 'click', 'logout', 1)
    //     this.updateLoading(true)
    //     // this.$toast.open({ message: 'logged out', type: 'is-info' })
    //     this.updateLoading(false)
    //     // this.$router.push('/auth/#')
    //   } else {
    //     // this.$ga.event('auth', 'click', 'login', 1)
    //     this.updateLoading(true)
    //     // location.href = Settings.Api.authUrl
    //   }
    // }
  }
}
</script>

<style lang="stylus">
</style>
